<?php

namespace Modules\Invite\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Modules\Main\Models\Agent\Agent;
class InviteAgent extends Model
{
    use HasFactory;
    protected $touches = ['invite'];

    protected $fillable = [
        'invite_id',
        'agent_id'
    ];

    public function agent()
    {
        return $this->belongsTo(Agent::class, 'agent_id');
    }

    public function invite()
    {
        return $this->belongsTo(Invite::class, 'invite_id');
    }
}
